Subject: Re: bug#51925: [Trunk][macOS] "vfork" is deprecated

From: Filipp Gunbin <[email-masked]>
Date: Thu, 18 Nov 2021 20:09:19 +0300

On 18/11/2021 09:50 -0600, Jacob Faibussowitsch wrote:

> I have had these installed for ages, but as it turns out my Xcode path
> was still pointing to /Applications/Xcode.app/Contents/Developer -_-.

CLT are enough for a working toolchain (XCode itself is not necessary).

I was talking about ensuring "proper" installation just in case
something's wrong with CLT (for example, who knows what macOS update is
doing?).  But good that you found the reason.

> Switching to CLT I now don’t get warnings about vfork() when building emacs anymore, but have now gotten the following warning:
>
> nproc.c:321:21: warning: passing 'const int [2]' to parameter of type 'int *' discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
>         if (sysctl (mib[i], ARRAY_SIZE (mib[i]), &nprocs, &len, NULL, 0) == 0
>                     ^~~~~~
> /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/sys/sysctl.h:770:21: note: passing argument to parameter here
> int     sysctl(int *, u_int, void *, size_t *, void *, size_t);
>                     ^

I have them too, someone has to fix it.

Filipp